version: '3.7'

services:
  express:
    image: registry.gitlab.com/our-sci/software/stratification-service/api:${STRAT_SERVICE_VERSION}
    ports:
      - 5000:3000
    depends_on:
      - redis
    environment:
      - TASK_QUEUE_API_URL=http://flower:5555/api
    restart: always
  flower:
    image: registry.gitlab.com/our-sci/software/stratification-service/task-queue:${STRAT_SERVICE_VERSION}
    depends_on:
      - redis
    ports:
      - 5555:5555
    environment:
      - CELERY_BROKER_URL=redis://redis:6379/0
      - CELERY_RESULT_BACKEND=redis://redis:6379/0
    command: sh -c "celery -A worker flower"
    restart: always
  celery_worker:
    env_file: .env
    image: registry.gitlab.com/our-sci/software/stratification-service/task-queue:${STRAT_SERVICE_VERSION}
    depends_on:
      - redis
    environment:
      - CELERY_BROKER_URL=redis://redis:6379/0
      - CELERY_RESULT_BACKEND=redis://redis:6379/0
    command: sh -c "celery -A worker worker"
    restart: always
  redis:
    image: redis:7-alpine
    ports:
      - 6379:6379
    restart: always
